
%ifarch %{ix86}
%define deb_file %{name}_%{version}_i386.deb
%else
%define deb_file google-play-music-desktop-player_%{version}_amd64.deb
%endif

Summary: Google Play Music Desktop Player
Name: google-play-music-desktop-player
Version: 4.3.0
Release: %mkrel 1
License: GPL
Group: Sound
URL: http://www.googleplaymusicdesktopplayer.com/
Source1: google-play-music-desktop-player.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar


%description
Run Google Play Music as a stand alone Desktop app.
Never again will you have to hunt through your tabs
to pause your music, or stop listening to your favourite
song because Chrome is guzzling up all your RAM..


%prep
%setup -T -n %{name} -c

%build


%install
export DONT_STRIP=1
rm -rf %buildroot
mkdir %buildroot


cd $RPM_SOURCE_DIR
wget -nc https://github.com/MarshallOfSound/Google-Play-Music-Desktop-Player-UNOFFICIAL-/releases/download/v4.3.0/google-play-music-desktop-player_4.3.0_i386.deb

# extract data from the deb package
mkdir  -p %buildroot/usr
ar p $RPM_SOURCE_DIR/%{deb_file} data.tar.xz | xz -d -9 | tar x -C %buildroot

#custom desktop file
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/applications/google-play-music-desktop-player.desktop


%clean
rm -rf %buildroot


%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}


%changelog
* Sun Jun 11 2017 adrianomorselli <adrianomorselli> 4.3.0-1uplos2017
- update
